ezmlmsubrc(5)

NAME
ezmlmsubrc - set up a minimal sublist

SYNOPSIS
ezmlm-make -C ezmlmsubrc -options dir dot local host

DESCRIPTION
ezmlmglrc instructs ezmlm-make(1) to create dir and files within it to support the local@host sublist. The sublist handles bounces, but not subscriptions. It is intended for creation of sublists that are part of an SQL database supported distributed ezmlm list. For creation of regular sublists, use ezmlm-make(1) with ezmlmrc(5).

REQUIRED SWITCHES
While these switches can be omitted, the list will not function unless they are specified.

-3 mainlocal
    Local name of the main list for which this list is a sublist. If the sublist is a sublist for digests, mainlocal should refer to the mail list, i.e. stripped of ``-digest''. This is required in order for the bounce texts to refer to the correct archive. Use the -d switch!

-4 mainhost
    Host name of the main list for which this list is a sublist.

-6 host:port:user:pass:db:table
    SQL connect info. Specifies the host and port to connect to, the user/password to use, the database name, and the root table name. The host defaults to ``localhost'', the database and table to ``ezmlm''. The port default is the default for the particular SQL server type used. For sublists disseminating a digest, ``table'' will end in ``_digest''.

OPTIONS

-d  This sublist is a sublist of a digest list. The -3 argment used should be the local name of the main list, rather than the digest list, i.e. the terminal ``-digest'' should be stripped.

-5 owner
    The address to which to redirect mail send to local-owner@host. The default is the owner address for the main list.

USAGE
A common task is to create both a sublist for the main list and a sublist for the corresponding digest. Note that the local list names are given as is, whereas the main list name always refers to the main list itself (and not its digest). The main list is ``mainloc@mainhost'', the local sublist is ``me-sub1@myhost''; the main digest is ``mainloc-digest@mainhost'' and the local digest sublist is ``me-sub1-digest@myhost''.
    ezmlm-make -Cezmlmsubrc -3 mainloc -4 mainhost -6 mainhost::user:pw:db:tab
    ~/DIR ~me/.qmail-sub1 me-sub1 myhost
    ezmlm-make -Cezmlmsubrc -d -3 mainloc -4 mainhost -6 mainhost::user:pw:db:tab
    -d ~/DIR ~me/.qmail-sub1-digest me-sub1-digest myhost

SEE ALSO
ezmlm-make(1), ezmlm(5), ezmlmrc(5)